gnutls_openpgp_send_cert(3)

NAME
gnutls_openpgp_send_cert - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_openpgp_send_cert(gnutls_session_t session, gnutls_openpgp_crt_status_t status);

ARGUMENTS

gnutls_session_t session
    a gnutls_session_t type.

gnutls_openpgp_crt_status_t status
    is one of GNUTLS_OPENPGP_CERT, or GNUTLS_OPENPGP_CERT_FINGERPRINT

DESCRIPTION
This function will order gnutls to send the key fingerprint instead of the key in the initial handshake procedure. This should be used with care and only when there is indication or knowledge that the server can obtain the client's key.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/